Bug 168120 - crash with newer kernels
crash with newer kernels
Product: Fedora
Classification: Fedora
Component: wireless-tools (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Aillon
Depends On:
  Show dependency treegraph
Reported: 2005-09-12 13:34 EDT by Jeremy Katz
Modified: 2008-08-02 19:40 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-04-03 12:47:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jeremy Katz 2005-09-12 13:34:28 EDT
NetworkManager crashes on startup with new kernels (2.6.13-1.1547_FC5)
(gdb) bt
#0  0x009877f2 in _dl_sysinfo_int80 () from /lib/ld-linux.so.2
#1  0x001c58f8 in raise () from /lib/libc.so.6
#2  0x001c7068 in abort () from /lib/libc.so.6
#3  0x001faa0a in __libc_message () from /lib/libc.so.6
#4  0x00200904 in _int_free () from /lib/libc.so.6
#5  0x00200e3f in free () from /lib/libc.so.6
#6  0x00e829ec in iw_process_scan (skfd=14, ifname=0x9d3dbe8 "eth1",
    we_version=18, context=0xbfb4ab0c) at iwlib.c:2680
#7  0x00e82b9f in iw_scan (skfd=14, ifname=0x9d3dbe8 "eth1", we_version=18,
    context=0xbfb4ab0c) at iwlib.c:2718
#8  0x0805a87c in nm_device_new (iface=0x9d3ee08 "",
    udi=0x9d3d378 "/org/freedesktop/Hal/devices/net_00_02_8a_ea_6b_62",
    test_dev=0, test_dev_type=DEVICE_TYPE_DONT_KNOW, app_data=0x9d38488)
    at NetworkManagerDevice.c:137
#9  0x0805cdf4 in nm_create_device_and_add_to_list (data=0x9d38488,
    udi=0x9d3d378 "/org/freedesktop/Hal/devices/net_00_02_8a_ea_6b_62",
    iface=0x9d3ee08 "", test_device=0, test_device_type=DEVICE_TYPE_DONT_KNOW)
    at NetworkManager.c:123
#10 0x0805d44d in nm_add_initial_devices (data=0x9d38488)
    at NetworkManager.c:326
#11 0x0805da39 in nm_hal_init (data=0x9d38488) at NetworkManager.c:791
#12 0x0805e2d8 in main (argc=2, argv=0xbfb4be44) at NetworkManager.c:943
#13 0x001b24ff in __libc_start_main () from /lib/libc.so.6
---Type <return> to continue, or q <return> to quit---
#14 0x0804cee1 in _start ()
Comment 1 Dan Williams 2005-09-12 13:44:42 EDT
technically a wireless-tools issue
Comment 2 Jeremy Katz 2005-09-12 23:46:06 EDT
wireless-tools hasn't actually changed in a while, so I'm not convinced.  And
actually, a recompile of NetworkManager seems to fix things.  Doing a rebuild
for rawhide now (with current CVS, just for added fun :) but probably still
should be looked at a little closer.
Comment 3 Bug Zapper 2008-04-03 12:21:12 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

Note You need to log in before you can comment on or make changes to this bug.